Commit 480b5407 authored by Simon Eismann's avatar Simon Eismann

Updated Manifest.mf for Java 9

parent c164bc2d
......@@ -7,3 +7,4 @@ Bundle-Vendor: QPME
Fragment-Host: qpme.model.migration;bundle-version="2.2.0"
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.junit;bundle-version="4.8.2"
Automatic-Module-Name: qpme.model.migration.tests
......@@ -7,3 +7,4 @@ Bundle-Vendor: qpme.sourceforge.net
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Export-Package: edu.kit.ipd.descartes.qpme.model.migration
Import-Package: org.osgi.framework;version="1.6.0"
Automatic-Module-Name: qpme.model.migration
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: qpme.model;singleton:=true
Bundle-Version: 2.2.0.qualifier
Bundle-ClassPath: .
Bundle-Vendor: %providerName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Export-Package: edu.kit.ipd.descartes.qpme.model,
edu.kit.ipd.descartes.qpme.model.impl,
edu.kit.ipd.descartes.qpme.model.util
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.xmi;visibility:=reexport
Bundle-ActivationPolicy: lazy
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: qpme.model;singleton:=true
Bundle-Version: 2.2.0.qualifier
Bundle-ClassPath: .
Bundle-Vendor: %providerName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Export-Package: edu.kit.ipd.descartes.qpme.model,
edu.kit.ipd.descartes.qpme.model.impl,
edu.kit.ipd.descartes.qpme.model.util
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.xmi;visibility:=reexport
Bundle-ActivationPolicy: lazy
Automatic-Module-Name: qpme.model
......@@ -69,3 +69,4 @@ Export-Package: de.tud.cs.qpe,
de.tud.cs.qpe.utils.view.anchor
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Import-Package: org.apache.log4j
Automatic-Module-Name: qpme.qpe.core
......@@ -34,3 +34,4 @@ Require-Bundle: org.dom4j;bundle-version="1.6.1",
edu.bonn.cs.net.jbarrier;bundle-version="1.0.0",
org.eclipse.equinox.concurrent;bundle-version="1.1.0"
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Automatic-Module-Name: qpme.simqpn.kernel
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: qpme.simqpn.model;singleton:=true
Bundle-Version: 2.2.0.qualifier
Bundle-ClassPath: .
Bundle-Vendor: %providerName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Export-Package: edu.kit.ipd.descartes.qpme.simqpn.model,
edu.kit.ipd.descartes.qpme.simqpn.model.impl,
edu.kit.ipd.descartes.qpme.simqpn.model.util
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.xmi;visibility:=reexport
Bundle-ActivationPolicy: lazy
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: qpme.simqpn.model;singleton:=true
Bundle-Version: 2.2.0.qualifier
Bundle-ClassPath: .
Bundle-Vendor: %providerName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Export-Package: edu.kit.ipd.descartes.qpme.simqpn.model,
edu.kit.ipd.descartes.qpme.simqpn.model.impl,
edu.kit.ipd.descartes.qpme.simqpn.model.util
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.xmi;visibility:=reexport
Bundle-ActivationPolicy: lazy
Automatic-Module-Name: qpme.simqpn.model
......@@ -19,3 +19,4 @@ Export-Package: de.tud.cs.simqpn.ui,
de.tud.cs.simqpn.ui.model,
de.tud.cs.simqpn.ui.wizard,
de.tud.cs.simqpn.ui.wizard.page
Automatic-Module-Name: qpme.simqpn.ui
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment